MPlayer/Xine-Lib Multiple RealRTSP Buffer Overrun Vulnerabilities

Bugtraq ID: 10245
Class: Boundary Condition Error
CVE: CVE-2004-0433
Remote: Yes
Local: No
Published: Apr 28 2004 12:00AM
Updated: Jul 12 2009 04:07AM
Credit: Discovery of these issues is credited to Diego Biurrun, Roberto Togni and Miguel Freitas.
Vulnerable: xine xine-lib 1-rc3c
+ Slackware Linux 9.1
+ Slackware Linux -current
xine xine-lib 1-rc3b
xine xine-lib 1-rc3a
xine xine-lib 1-rc2
xine xine-lib 1-beta9
xine xine-lib 1-beta8
xine xine-lib 1-beta7
xine xine-lib 1-beta6
xine xine-lib 1-beta5
xine xine-lib 1-beta4
xine xine-lib 1-beta3
xine xine-lib 1-beta2
xine xine-lib 1-beta11
xine xine-lib 1-beta10
xine xine-lib 1-beta1
MPlayer MPlayer 1.0 pre3try2
Not Vulnerable: xine xine-lib 1-rc4
MPlayer MPlayer 1.0 pre4


 

Privacy Statement
Copyright 2010, SecurityFocus